# Best Society
Page: https://cp.ulwolves.ie/committee/awards/2025/s_best

## Organisation & Events 

### Please detail the society's aims and objectives.
The overall aim and goal of the Computer Society is to promote the use and enjoyment of computers within the University, by all students including those for whom it is not an academic requirement.  
To this end we employ the use of the computing skills, knowledge and resources of the society, computer based information services, combining both the practical and the entertaining, to bring computers to the masses.  

In recent years we have also been strongly promoting social skills and networking of our members.

### How has the society's work fulfilled these aims and objectives? (max 400 words) 
#### 6 points

#### Skynet
At the heart of Computer Society lies our (33 years old) Skynet computer cluster.  

* Host services for Computer Society and other Clubs/Socs
  * Member websites
  * Clubs/Society websites
  * We used to host UL Wolves on it
* Train our members in using enterprise grade hardware and software
* Be a point of contact with ITD
* Touchstone for our alumni members to interact with our younger members

#### Talks and Presentations
We try to do as many social events as we can, tech is a field where creativity and soft skills are as important as the technical skills.  
To facilitate this we invite in speakers from industry to talk about their experiences.

Notable speakers in the last year:
* NetApp
* Intel
* IEEE
* Patch

We also encourage members returning from co-op/internships to talk about "The Good, the Bad and the Ugly" of their experiences.  
This has lead to these members improving their public speaking abilities as well as inspiring our younger members.

#### What UL doesn't teach
The courses that UL (in particular CSIS) teach are really fantastic.  
However as an institution it can be slow to react to the ever changing landscape.  

As a student run Society (full of passionate people) we are agile enough that we are able to create targeted events to cover the cutting edge of technology.  
By providing these Peer Learning supports we aim to help people to become more invested and involved in their academic degrees.

#### Conferences and Competitions
To help encourage professional development we now go to at least two conferences a year as a society.

There are a multitude of programming based competitions now held in Ireland annually.  
We are now supporting and encouraging our members to go and compete at these.

#### Inter C&S and Committees
Networking is important, we have formed strong links with Games Development Society, Games Society and Anime&Manga.  
Additionally we provide games servers to any Club/Society who ask for them, to help facilitate bonding in that Club/Soc.

We are heavily involved in the Virtual Committee Networking, we believe that networking and communication is the way forward to improve all of Clubs/Societies.
We have worked with UL Wolves in order to help manage the discord server, providing each Club/Soc with its own space.

#### Closing Remarks
Computer Society is like glue, we help our members form strong bonds as well as strengthen relationships between Clubs/Socs.

### Please give details of the society's committee structure and how committee members functioned as a team. (max 400 words) 
#### 6 points
Our committee structure has been stable for many years and takes the form of:

#### Elected Committee
These are the center of the committee and comprise of:

1.  Chairperson
2.  Secretary
3.  Treasurer
4.  Safety Officer
5.  Public Relations Officer (PRO)
6.  Senior Systems' Administrator
7.  Ordinary Committee Members (OCM)

One other quirk is while many on the committee are technically OCM's we have found it is best to name their roles.  
Currently this would include "1st Year Rep" and "IT Officer".  
This is especially true for intensive roles such as Treasurer or PRO wherein we have "Assistant Treasurer" or "Assistant PRO".

#### Skynet Sub-Committee
Skynet sub-committee is in charge of the Skynet computer cluster.  
The skynet cluster hosts many of the services for our members and other Clubs/Socs.
They run, upgrade and train members in use of the cluster.

#### Advisors
Advisors are former committee who have been asked to remain part the committee.  
They provide a "Wisdom of the Ancients", knowledge and experience from their time on committee as well as their current industry connections.

#### SISTEM Sub-Committee
This year we are also joined by the SISTEM sub-committee whose goal is to organise and run SISTEM.  
SISTEM is Ireland's only student run tech conference: https://sistemconf.com/  
It is the spiritual successor to SkyCon which we used to run.

### Please detail the challenges encountered by the society this year. (max 500 words) 
#### 8 points

#### GDPR - Virtual Committee Networking
As part of our work on the Virtual Committee Networking we had to gain GDPR approval.  
This was the most significant aspect of the 6-month effort as it involved various stakeholders:

* C&S
* GDPR Liaison
* UL Wolves

During the process we had to show what data we were collecting and to clearly show that it was being stored securely.  
We were successfully able to gain both C&S and GDPR approval for this venture.

#### Engagement
As a Society whose core membership are digital first, inter-personal interactions always pose a difficulty.  
Understandably our (online) Discord server is a lively hub of activity where alumni are side by side with our college faring members.  

In person events have always been an area we have had issues keeping attendance numbers up through the year.  
For the most part this is because our members often prefer the online interactions.  

The solution we have found is to plan out each semester in advance, scheduling a mix of events, from technical to social.
We have also done outreach to the students of CSIS, presenting in classes (with permissions of the lecturers) as well as word of mouth.  
For example we were specifically asked to present to the ISE course.


### What systems have been put in place to ensure the continuity of the society and to ensure its ongoing success? (max 400 words) 
#### 15 points

#### Training up new committee members
We are a 30+ year old society whose focus is Computers, however we know that you cannot ensure the continuity you cannot entirely rely on technical solutions for a people problem.

Training people up with on the job experience is far more invaluable than any handover document.  
On our current committee we currently have two "assistant" roles:
* Assistant Treasurer
* Assistant PRO

These folks will be stepping up to the core roles in the future, helping to secure our society for (hopefully) another 30 years. 

#### Advisors
Advisors are former core committee members who have been asked to stay (somewhat) involved in Computer Society.  
The goal of this is to be able to draw upon their experiences and council in order to guide the society forward.  

Because of Covid the "Training up new committee members" faced difficulties, however we were able to draw upon our alumni in order to carry on.  
We did loose a solid chunk of institutional knowledge but with their help we were able to rebuild and forge a new path forward.

#### Open Governance + Wiki
A phrase in industry is "If its not written down it never happened", exemplifies how important good written documentation/notes are.  
This is where the "Handover Documents" which all C&S have to do come into play.  
These have one major problem though, they are hidden away and folks rarely actually read through them.

Our first way of tackling it is Open Governance, an idea we nabbed from DCU's computer society. (https://forgejo.skynet.ie/Computer_Society/open-goverance)
In it we have important materials such as Minutes, Event details, our Constitution, our Logos and Handover Documents, not to mention the text in this Awards Submission. (https://forgejo.skynet.ie/Computer_Society/open-goverance/src/branch/main/Committee/2024-2025/Awards/Best_Society.md)    
All this information is public (transparency) and constantly made available to our members.

Our second public information cache is our Wiki (https://wiki.skynet.ie/).  
This contains much of the knowledge of how to run the Skynet Cluster.  
Our president is currently doing his FYP on this aspect of the society, documenting as much as possible in order to hand the torch forward.

We want to instill this transparency mentality into our members, so we are trying to lead by example in doing so.  
If we ever fail to pass on the torch these repositories of information should be a catalyst to Reboot the Computer Society in the future.


### Detail the society's membership. (max 400 words)
#### 10 points

#### Membership Growth
We are currently sitting at 133 members (109 being current students) which is an increase compared to the 122 we had by the end of last year (2023/2024).  
This is significantly up from a low of 84 in 2020/2021 wherein 60 were alumni (~24 current students).  
The current growth is largely due to previous committees hard work laying a solid foundation for us.

#### Communication
As a very digital based society we do make use of many online methods to communicate with our members.

* Discord
* Email
* Instagram

However we do, from time to time use physical posters to advertise to a wider audience.

#### Diversity
We are diverse, its (quietly) a core part of our identity as a society, we dont really want (or need) to shout from the rooftops about it.  
However last year many of the husts made it a central part of their presentation, so here is something which should give you a solid idea of who we are.  

You will find many of our members are also part of Games, Games Development and Anime & Manga, which you would expect.  
History, International, Out in UL, Philosophy & Debating are also places you will find them.  
For the more hands on folks they find their way to Aeronautical and IEEE.  
If they are feeling adventurous then Outdoor pursuits and Underwater Hockey may beckon them.


### Please list the number and variety of events held
#### 15 points

Since September 2024 we have had 14 unique events, if we go back to this time last year that rises to 26 events.  
This high number of unique events stems from the fact that we cannot go to PyCon each week, not do an "Introduction to Git", if we did our attendance would fall through the floor.

* Minecraft Lan
* Quiz with Games Dev
* Licenses Presentation
* Domain + Hosting
* Treasure Hunt
* RetroPi
* Modded Minecraft Server Opening
* Intro to the Society
* Skynet + Git
* Virtual Machines!
* Game Dev Collab
* Server building with NetApp (sponsored)
* Capture The Flag
* PyCon Refresher
* PyCon
* Advent of Code Primer
* Lightning Talks
* Intro to Skynet, Discord and Minecraft
* Patch Presentation (sponsored)

Not counted in "events" are the C&S Fairs where we, along with OPC setup and teardown.  
In our case for the September Fair we provide the networking for the event.

On top of all that we have Skynet Training weekly, this is where the Knowledge Transfer about the Skynet cluster happens.  
Or upgrades are done, or troubleshooting an issue happens.  
These are less planned sessions but allow members to geek out about enterprise grade servers and technology.

## Finance

### Details of income and expenditure?
#### 5 points
(Is this question for BICS? There is no good way to paste in our balance sheet from Wolves without spending several hours transcribing it manually.)

Our budget is currently healthy and has been for the past few years.

### Describe how you managed your finances this year. (max 300 words)
#### 5 points

#### Wolves
Our online platform, UL Wolves, has inbuilt budget management, we use this to manage our cash flow.

Primary responsibility lies with our Treasurer.

#### Banking
We use Bank of Ireland, which has a branch just outside the entrance of UL.  
Each year to transfer access we fill out and submit the banking Mandate, followed by the Online change of admins form.  
The mandate requires the treasurer and two other core committee members.  
There is also a section for the previous signatories to sign.  
When signing it one year we pre-sign the previous signatories section for the next committee, saves having us having to follow up with them.  

#### Workflow
There are many times where we will need to buy something small from a local shop, the procedure for this is:

* A chosen committee member buys the item, ensuring they get a receipt.
  * Paying by card is preferred as a screenshot of the transaction can be obtained.
* A copy of the receipt as well as the transaction screenshot is uploaded to the Societies file server in a specific folder.
* Treasurer refunds the member via bank transfer.
* Details is entered into the Wolves Budget System.

### Please provide details of the success securing funds for the running of the society. (max 300 words) 
#### 5 points

There are three main areas where we obtain the funds to run the UL Computer society:

* Membership fees
* UL Clubs and Societies
* Sponsorship

#### Membership Fees
We charge a nominal fee of €5 for membership for the year which nets us a reasonable (consistant) income.

#### UL Clubs and Societies
From C&S we have two sources of funding.

The first is that C&S matches (or tries to) all of Clubs and Societies income from the previous year.  
This acts as a leaver and allows us to host larger events with out needing to penny pinch.

Secondly we, along with OPC, help setup, do networking and teardown the C&S Recruitment Fair.  
For this C&S pay the Society for its service.

#### Sponsorships
Sponsorships are the most interesting source of funds as it requires us to make connections in enterprise.  
Often along with the financial sponsorship the sponsor also wants to have a significant involvement in an event.  
This has the added beneficent of giving our members an opportunity to network and aspire to reach interesting employers.

In this past year we have had these significant sponsors:

* Netapp
* LERO
* Patch

## Communication, Engagement & Publicity 

### Please outline all aspects (both digital and non-digital) of your communication and publicity this year. (max 800 words) 
#### 14 points

For publicity we use a variety of methods as the year progresses.  

* Class Presentations
* Word of Mouth
* C&S Fair
* Posters
* Discord
* Instagram
* Email

#### Class Presentations
At the start of the year we contact some of the prior lecturers we have had who we are on friendly terms with and ask if we can use 5-10 minutes of one of their classes to talk about Computer Society.  
We typically use these presentations to inspire the students.  
Since our events cover hardware, software, electronics and industry contacts, some of which are hard to come across during the normal coursework we often finds it falls on curious ears.
We do cool but niche and nerdy stuff that many of the students find fascinating.

#### Word of Mouth
One of our most powerful tools for publicity is word of mouth.  
Its all good and grand when we go up on stage and give a presentation, but its so so much better when its a classmate or friend doing the same.  
Folks will often go "My friend would love this, I'll bring them to that next event".

#### C&S Fair
The C&S Fair is an event run by C&S to promote all Clubs and Societies.  
It allows prospective members to meet the committee, see some of the stuff we have to show off as well as ask questions.  

We have found that setting up near interest adjacent Clubs/Societies such as Games Development, Games and Anime & Manga does wonders to introduce folks to Computer Society.  
United we thrive.

#### Posters
For many events we commission posters from out PRO(s).  
These are often used in our email and Discord announcements.  
For major events we will print some out and hang them around the campus, sometimes in "interesting" places.

YOu can find an archive of 2023/2024 posters here: https://forgejo.skynet.ie/Computer_Society/open-goverance/src/branch/main/Events/2023-2024/Posters
For 2024/2025 they are alongside the event pages (jpeg and png): https://forgejo.skynet.ie/Computer_Society/open-goverance/src/branch/main/Events/2024-2025

#### Discord
On our Discord (https://discord.skynet.ie) we have two announcements channels, one for general Society events as well as another specifically for Skynet.  
This is the best place we can promote events to our current members since almost all of our active membership are on it.

Occasionally for large scale events we promote on other Clubs/Societies Discords as well.

#### Instagram
Instagram is good for reaching outside our core demographics, specifically when we are doing collab events with other Clubs/Societies.  
The posters are extremely useful for this as well.

#### Email
Our final form of communication is Email.  
While it is not as fancy as Discord or Instagram it is reliable, it has worked for 33 years and will work for 33 more.

### Please give one example of a campaign that was successful and the impact this had on the target audience? (max 500 words) 
#### 6 points
#### Quiz with Games Dev
At the tail end of last year we held a Collab event with Games Development.  
Part of the goal of the event was to promote Games Dev as a Society, the other part was to have it as a mixer.  
One hurdle we had to overcome was that it was a paid event, nominal cost yes, but out members are used to our events being free to attend.  
Another hurdle was it was being held in the Pavilion, which is on the far side of campus so we had to get folks to travel over there on their own accord.

To promote this event we went all out, the usual Discord and Email announcements.  
Through our friendship with other Clubs/Societies we also promoted on their discords.  
Posters were done up and plastered across campus, the normal places yes, but also the more novel/wierd places.
We also "kidnapped" friends and classmates to go to the quiz.

The result was a success and a nice melding of the two societies as well as several newcomers who just thought a pub quiz would be good fun.  
To top it all off the winners got comically large wooden spoons.


## YouTube Video
Prob wont be doing this, but will be useful for nexct year (???)
